import CJS_COMPAT_NODE_URL_f8upj02irqh from 'node:url';
import CJS_COMPAT_NODE_PATH_f8upj02irqh from 'node:path';
import CJS_COMPAT_NODE_MODULE_f8upj02irqh from "node:module";

var __filename = CJS_COMPAT_NODE_URL_f8upj02irqh.fileURLToPath(import.meta.url);
var __dirname = CJS_COMPAT_NODE_PATH_f8upj02irqh.dirname(__filename);
var require = CJS_COMPAT_NODE_MODULE_f8upj02irqh.createRequire(import.meta.url);

// ------------------------------------------------------------
// end of CJS compatibility banner, injected by Storybook's esbuild configuration
// ------------------------------------------------------------

// src/common/utils/utils.ts
var groupBy = (items, keySelector) => items.reduce(
  (acc, item, index) => {
    let key = keySelector(item, index);
    return acc[key] ??= [], acc[key].push(item), acc;
  },
  {}
);
function invariant(condition, message) {
  if (!condition)
    throw new Error((typeof message == "function" ? message() : message) ?? "Invariant failed");
}

export {
  groupBy,
  invariant
};
